# -*- coding: utf-8 -*-


from scrapy.pipelines.images import ImagesPipeline



class ManhuaduiPipeline(ImagesPipeline):

    def get_media_requests(self, item, info):
        request_objs = super(ManhuaduiPipeline, self).get_media_requests(item, info)
        for request_obj in request_objs:
            request_obj.item = item
        return request_objs


    def file_path(self, request, response=None, info=None):
        image_name = request.item.get('image_name')
        return image_name

